Module | ActiveMerchant::Billing::BeanstreamCore
In: | lib/active_merchant/billing/gateways/beanstream/beanstream_core.rb

### Methods

capture credit included new

### Constants

URL | = | 'https://www.beanstream.com/scripts/process_transaction.asp'
TRANSACTIONS | = | { :authorization => 'PA', :purchase => 'P', :capture => 'PAC', :credit => 'R', :void => 'VP', :check_purchase => 'D', :check_credit => 'C', :void_purchase => 'VP', :void_credit => 'VR'
CVD_CODES | = | { '1' => 'M', '2' => 'N', '3' => 'I', '4' => 'S', '5' => 'U', '6' => 'P'
AVS_CODES | = | { '0' => 'R', '5' => 'I', '9' => 'I'

### Public Class methods

included(base)
new(options = {})

Only `:login` is required by default, which is the merchant‘s merchant ID. If you‘d like to perform void, capture or credit transactions then you‘ll also need to add a username and password to your account under administration -> account settings -> order settings -> Use username/password validation

### Public Instance methods

capture(money, authorization, options = {})
credit(money, source, options = {})

[Validate]